Establish a new transaction for authorization
This endpoint creates a new unauthorized transaction and returns a URL to be provided for a user to authorize the transaction. After the user has authorized the transaction with a bank, the transaction can be used with other Trustly APIs to retrieve account data or process payments.
For more details and descriptions of the fields supported by this endpoint see Establish Data object.
Note for Money Transfer If your application is configured for “Money Transfer” many properties in the
customer,beneficiaryandbeneficiaryAccountobjects will be required. See Send money for more details.
Authentication
Query parameters
Comma separated list of notification channels. Currently only sms and email are supported. Example: sms,email will send a notification via SMS and email to the User. Required if notify is true.
Request
Your Trustly-provided Merchant ID.
Your Trustly-provided client application access ID.
3-letter ISO Currency Code.
The URL where the user should be redirected to when the user successfully authorizes the transaction (must be a valid URL or function).
The URL where the user should be redirected to if the user exits or the transaction is canceled (must be a valid URL or function).
The amount of the transaction. This represents the maximum amount of the transactions that can be processed with the Authorization. If the amount is 0.00, there will be no upper bound on the transaction. (10 characters with support for 2 decimal places)
A summary description of the order. Do not pass Consumer PII (name, email address, etc) in this field.
Specifies the type of transaction to create. Possible values are Instant, Deferred, Disbursement, Recurring, Verification, and Retrieval. Default is Retrieval.
Note: If your application is configured for “Money Transfer” and utilizes the “Instant” paymentType several properties under customer, beneficiary and beneficiaryAccount will be required.
See Send money for more details.
Optionally displays the provided transaction amount to the user throughout the Lightbox experience.
Note: This value must be sent as a JSON string (for example, "10.50"), not as a numeric value.
The ultimate beneficiary of this payment. Required when using paymentType: Instant for Money Transfer
Financial institution account associated with the ultimate beneficiary of a transaction. Required when using paymentType: Instant for Money Transfer
Specifies the KYC (Know Your Customer) type. This field is optional and can only be used by merchants configured for Trustly ID.
Provide additional use case-specific properties in this object.
Response
An external reference from the merchant. Ex: Order identifier from merchant e-commerce application.
3-letter ISO Currency Code. Currently only USD is supported.
Specifies the KYC (Know Your Customer) type as number. The possible value is 1 (OnlineBanking). This field is optional and can only be used by merchants configured for Trustly ID.
The amount of the transaction. This represents the maximum amount of the transactions that can be processed with the Authorization. If the amount is 0.00, there will be no upper bound on the transaction. (10 characters with support for 2 decimal places)